it-swarm-ja.com

JavaにIPv6ではなくIPv4を使用させる方法

私のJavaブラウザプラグインはもう動作しません。 Java要素を含むページを開くと、Javaがサーバーに接続できません。

調査の結果、私のネットワークではIPv6がサポートされていないのに、JavaがIPv6を使用しようとしていることがわかりました。そのため、Javaは常に接続に失敗します。

Googleを見てみたところ、-Djava.net.preferIPv4Stack=trueを指定してJavaを実行する必要があることがわかりましたが、どうすればこれをブラウザに渡すことができますか?

私はGoogle ChromeとJava 7 update 5を使っています。

36
nyongrand

オプションを_Java_OPTIONS環境変数に入れます。これを行う方法は他のさまざまな記事で既に説明されています - 通常はPATHの設定について説明していますが、すべて同じです。

たとえば、Linuxでは、~/.profileまたは~/.bash_profileに次のように入力します。

export _Java_OPTIONS="-Djava.net.preferIPv4Stack=true"
63
grawity